diff -ur file-5.41.orig/configure.ac file-5.41/configure.ac
--- file-5.45.orig/configure.ac	2021-12-16 10:54:02.269071267 +0100
+++ file-5.45/configure.ac	2021-12-16 10:55:17.233619275 +0100
@@ -217,4 +217,16 @@
 fi
 
 AC_CONFIG_FILES([Makefile src/Makefile magic/Makefile tests/Makefile doc/Makefile python/Makefile libmagic.pc])
+AC_ARG_WITH(rpltools,
+[  --with-rpltools         specify rpltools path used for cross compilation],[
+if test "$with_rpltools" = "no" -o "$with_rpltools" = yes; then
+       AC_MSG_ERROR([You have to specify rpltools path !])
+else
+       RPLTOOLS=$with_rpltools/tools/file-5.11/src/
+fi],[
+       RPLTOOLS=
+       ]
+)
+AC_SUBST(RPLTOOLS)
++
 AC_OUTPUT
Seulement dans file-5.45.orig: configure.ac.rej
diff -ur file-5.41.orig/magic/Makefile.am file-5.41/magic/Makefile.am
--- file-5.45.orig/magic/Makefile.am	2021-12-16 10:54:03.651983592 +0100
+++ file-5.45/magic/Makefile.am	2021-12-16 10:56:20.812271495 +0100
@@ -348,10 +348,10 @@
 # FIXME: Build file natively as well so that it can be used to compile
 # the target's magic file; for now we bail if the local version does not match
 if IS_CROSS_COMPILE
-FILE_COMPILE = file${EXEEXT}
+FILE_COMPILE = @RPLTOOLS@file${EXEEXT}
 FILE_COMPILE_DEP =
 else
-FILE_COMPILE = $(top_builddir)/src/file${EXEEXT}
+FILE_COMPILE = $(top_builddir)/src/@RPLTOOLS@file${EXEEXT}
 FILE_COMPILE_DEP = $(FILE_COMPILE)
 endif
 
